Package Gnumed :: Package business :: Module gmEMRStructItems :: Class cEpisode |
[frames] | no frames]

# Class cEpisode

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cEpisode

Represents one clinical episode.

Instance Methods
__init__(self, aPK_obj=None, id_patient=None, name='xxxDEFAULTxxx', health_issue=None, row=None, encounter=None, link_obj=None) Init business object. | source code
get_patient(self) | source code
get_narrative(self, soap_cats=None, encounters=None, order_by=None) | source code
rename(self, description=None) Method for episode editing, that is, episode renaming. | source code
add_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
remove_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
format_as_journal(self, left_margin=0, date_format='%Y %b %d, %a') | source code
format_maximum_information(self, patient=None) | source code
format(self, left_margin=0, patient=None, with_summary=True, with_codes=True, with_encounters=True, with_documents=True, with_hospital_stays=True, with_procedures=True, with_family_history=True, with_tests=True, with_vaccinations=True, with_health_issue=False, return_list=False) | source code
best_guess_clinical_start_date(self) | source code
best_guess_clinical_end_date(self) | source code
formatted_clinical_duration(self) | source code
latest_access_date(self) | source code
health_issue(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| diagnostic_certainty_description = `property(_get_diagnostic_ce`...``
| formatted_revision_history = `property(_get_formatted_revision_`...``
| generic_codes = `property(_get_generic_codes, _set_generic_codes)`
| has_narrative = `property(_get_has_narrative, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, id_patient=None, name='xxxDEFAULTxxx', health_issue=None, row=None, encounter=None, link_obj=None) (Constructor) | source code
    Init business object.

    Call from child classes:

            super(cChildClass, self).__init__(aPK_obj = aPK_obj, row = row, link_obj = link_obj)
Overrides: object.__init__ (inherited documentation)

### get_patient(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.get_patient

### rename(self, description=None) | source code
Method for episode editing, that is, episode renaming. @param description the new descriptive name for the encounter @type description a string instance

### format(self, left_margin=0, patient=None, with_summary=True, with_codes=True, with_encounters=True, with_documents=True, with_hospital_stays=True, with_procedures=True, with_family_history=True, with_tests=True, with_vaccinations=True, with_health_issue=False, return_list=False) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Class Variable Details

  ### diagnostic_certainty_description Value:
      property(_get_diagnostic_certainty_description, lambda x: x)

  ### formatted_revision_history Value:
      property(_get_formatted_revision_history, lambda x: x)